Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ClientRequestInfo Interface Reference

Inheritance diagram for PortableInterceptor::ClientRequestInfo

[legend]
Collaboration diagram for PortableInterceptor::ClientRequestInfo:

[legend]
List of all members.

## Public Methods
IOP::TaggedComponent | get_effective_component (in IOP::ComponentId id)
IOP::TaggedComponentSeq | get_effective_components (in IOP::ComponentId id)
CORBA::Policy | get_request_policy (in CORBA::PolicyType type)
void | add_request_service_context ( in IOP::ServiceContext service_context, in boolean replace)
## Public Attributes
readonly attribute Object | target
readonly attribute Object | effective_target
readonly attribute IOP::TaggedProfile | effective_profile
readonly attribute any | received_exception
readonly attribute CORBA::RepositoryId | received_exception_id

## Member Function Documentation

void PortableInterceptor::ClientRequestInfo::add_request_service_context ( | in IOP::ServiceContext service_context,
| in boolean replace )

IOP::TaggedComponent PortableInterceptor::ClientRequestInfo::get_effective_component ( | in IOP::ComponentId id )

IOP::TaggedComponentSeq PortableInterceptor::ClientRequestInfo::get_effective_components ( | in IOP::ComponentId id )

CORBA::Policy PortableInterceptor::ClientRequestInfo::get_request_policy ( | in CORBA::PolicyType type )

## Member Data Documentation

readonly attribute IOP::TaggedProfile PortableInterceptor::ClientRequestInfo::effective_profile

readonly attribute Object PortableInterceptor::ClientRequestInfo::effective_target

readonly attribute any PortableInterceptor::ClientRequestInfo::received_exception

readonly attribute CORBA::RepositoryId PortableInterceptor::ClientRequestInfo::received_exception_id

readonly attribute Object PortableInterceptor::ClientRequestInfo::target

The documentation for this interface was generated from the following file:

- PortableInterceptor.pidl